Package ru.bitel.common.model

# Class Result<L>

java.lang.Object
ru.bitel.common.model.Result<L>

    public class Result<L>
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.HashMap<java.lang.String,​java.lang.Object>` | `attributes` |
  `protected java.util.List<L>` | `list` |
  `protected Page` | `page` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Result()` |
  `Result​(java.util.List<L> list)` |
  `Result​(java.util.List<L> list, Page page)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `getAttribute​(java.lang.String key)` |
  `<K> K` | `getAttribute​(java.lang.String key, java.lang.Class<K> clazz)` |
  `java.util.Map<java.lang.String,​java.lang.Object>` | `getAttributes()` |
  `java.util.List<L>` | `getList()` |
  `Page` | `getPage()` |
  `void` | `setAttribute​(java.lang.String key, java.lang.Object value)` |
  `void` | `setList​(java.util.List<L> list)` |
  `void` | `setPage​(Page page)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### list

    protected java.util.List<L> list

  - ### page

    protected Page page

  - ### attributes

    protected java.util.HashMap<java.lang.String,​java.lang.Object> attributes

- ## Constructor Details

  - ### Result

    public Result()

  - ### Result

    public Result​(java.util.List<L> list)

  - ### Result

    public Result​(java.util.List<L> list, Page page)

- ## Method Details

  - ### getList

    public java.util.List<L> getList()

  - ### setList

    public void setList​(java.util.List<L> list)

  - ### getAttribute

    public java.lang.Object getAttribute​(java.lang.String key)

  - ### getAttribute

    public <K> K getAttribute​(java.lang.String key, java.lang.Class<K> clazz)

  - ### setAttribute

    public void setAttribute​(java.lang.String key, java.lang.Object value)

  - ### getAttributes

    public java.util.Map<java.lang.String,​java.lang.Object> getAttributes()

  - ### getPage

    public Page getPage()

  - ### setPage

    public void setPage​(Page page)